Package io.spring

# Class JobConfiguration

java.lang.Object
io.spring.JobConfiguration

@Configuration(proxyBeanMethods=false) public class JobConfiguration extends Object

Author:
  Michael Minella

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `DataSource`
  `dataSource`
  `org.springframework.batch.core.configuration.annotation.JobBuilderFactory`
  `jobBuilderFactory`
  `org.springframework.batch.core.repository.JobRepository`
  `jobRepository`
  `org.springframework.batch.core.configuration.annotation.StepBuilderFactory`
  `stepBuilderFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JobConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.springframework.batch.core.Job`
  `partitionedJob(org.springframework.batch.core.partition.PartitionHandler partitionHandler)`
  `org.springframework.batch.core.partition.support.Partitioner`
  `partitioner()`
  `org.springframework.batch.core.partition.PartitionHandler`
  `partitionHandler(org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher, org.springframework.batch.core.explore.JobExplorer jobExplorer, TaskRepository taskRepository)`
  `org.springframework.batch.core.Step`
  `step1(org.springframework.batch.core.partition.PartitionHandler partitionHandler)`
  `DeployerStepExecutionHandler`
  `stepExecutionHandler(org.springframework.batch.core.explore.JobExplorer jobExplorer)`
  `org.springframework.batch.core.Step`
  `workerStep()`
  `org.springframework.batch.core.step.tasklet.Tasklet`
  `workerTasklet(Integer partitionNumber)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### jobBuilderFactory

    @Autowired public org.springframework.batch.core.configuration.annotation.JobBuilderFactory jobBuilderFactory

  - ### stepBuilderFactory

    @Autowired public org.springframework.batch.core.configuration.annotation.StepBuilderFactory stepBuilderFactory

  - ### dataSource

    @Autowired public DataSource dataSource

  - ### jobRepository

    @Autowired public org.springframework.batch.core.repository.JobRepository jobRepository

- ## Constructor Details

  - ### JobConfiguration

    public JobConfiguration()

- ## Method Details

  - ### partitionHandler

    @Bean public org.springframework.batch.core.partition.PartitionHandler partitionHandler(org.springframework.cloud.deployer.spi.task.TaskLauncher taskLauncher, org.springframework.batch.core.explore.JobExplorer jobExplorer, TaskRepository taskRepository) throws Exception
    Throws:
      `Exception`

  - ### partitioner

    @Bean public org.springframework.batch.core.partition.support.Partitioner partitioner()

  - ### stepExecutionHandler

    @Bean @Profile("worker") public DeployerStepExecutionHandler stepExecutionHandler(org.springframework.batch.core.explore.JobExplorer jobExplorer)

  - ### workerTasklet

    @Bean @StepScope public org.springframework.batch.core.step.tasklet.Tasklet workerTasklet(@Value("#{stepExecutionContext[\'partitionNumber\']}") Integer partitionNumber)

  - ### step1

    @Bean public org.springframework.batch.core.Step step1(org.springframework.batch.core.partition.PartitionHandler partitionHandler) throws Exception
    Throws:
      `Exception`

  - ### workerStep

    @Bean public org.springframework.batch.core.Step workerStep()

  - ### partitionedJob

    @Bean @Profile("!worker") public org.springframework.batch.core.Job partitionedJob(org.springframework.batch.core.partition.PartitionHandler partitionHandler) throws Exception
    Throws:
      `Exception`